%define module_name App-MusicExpo
BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DB_File.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(HTML/Template/Compiled.pm) perl(Memoize.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/Perl/Critic.pm) perl(sort.pm)
# END SourceDeps(oneline)
Epoch: 2
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.003
Release: alt1
Summary: script which generates a HTML table of music tags
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MG/MGV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
App::MusicExpo creates a HTML table from a list of songs.

The default template looks like:

    | Title   | Artist  | Album           | Genre   | Track | Year | Type |
    |---------+---------+-----------------+---------+-------+------+------|
    | Cellule | Silence | L'autre endroit | Electro | 01/09 | 2005 | FLAC |

where the type is a download link. If you have multiple files with the same
basename (such as `cellule.flac' and `cellule.ogg'), they will be treated
as two versions of the same file, so a row will be created with two download
links, one for each format.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*


%changelog
* Wed Oct 31 2018 Igor Vlasenko <viy@altlinux.ru> 2:1.003-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 1:1.002001-alt1
- regenerated from template by package builder

* Thu May 26 2016 Igor Vlasenko <viy@altlinux.ru> 1:1.000-alt1
- regenerated from template by package builder

* Sun Oct 18 2015 Igor Vlasenko <viy@altlinux.ru> 1:0.006-alt1
- regenerated from template by package builder

* Mon Oct 27 2014 Igor Vlasenko <viy@altlinux.ru> 1:0.004-alt2
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.003003-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.003002-alt1
- regenerated from template by package builder

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.003001-alt1
- initial import by package builder

